// emacs: this is -*- c++ -*-
//
//   @file    nnlo_interface.h        
//
//                   
//  
//   Copyright (C) 2015 M.Sutton (sutt@cern.ch)    
//
//   $Id: nnlo_interface.h, v0.0   Mon 25th May 2015 10:25:18 CEST sutt $

#ifndef  NNLOJET_INTERFACE_H
#define  NNLOJET_INTERFACE_H

namespace nnlo { 

void init( const int& id, const std::string& gridname, 
	   const int& nbins, const double& lo, const double& hi  );
  
void fill( const int& id, const double& obs, const double* wt );
  
void fill_ref( const int& id, 
	       const double& obs, 
	       const double* wt );
  
void term( const int& id );
  

}

extern "C" bool setup_nnlo_();

#endif  // NNLOJET_INTERFACE_H 
